what about mod_security ?

Is the apache mod_security RH release dependant? Or is it nothing to worry about. I just got an advisory Drom AWBS about hackers, but I assume the cpanel folks have more to worry about.